<template>
    <div>
        <CToaster :autohide="2000">
            <CToast
                v-for="(toast, index) in toasts"
                :key="`toast-${index}`"
                :show="toast.isVisibleToast"
            >
                <CAlert :color="toast.type">
                    {{ toast.message }}
                </CAlert>
            </CToast>
        </CToaster>
    </div>
</template>

<script>
import { mapGetters } from "vuex";
export default {
    computed: {
        ...mapGetters("toast", ["getToasts"]),
        toasts() {
            return this.getToasts;
        }
    }
};
</script>
